package com.reyun.service;

import com.reyun.model.UserGroup;

import java.util.List;
import java.util.Map;


public interface UserGroupService {

	UserGroup save(UserGroup userGroup, Long account);
	
	UserGroup update(UserGroup userGroup, Long account);
	
	List<UserGroup> list(Long app, Long account);
	
	List<UserGroup> list(Long app);

	UserGroup findById(Long id);

	UserGroup delete(Long id, Long account);
	
	Boolean valid(Long account, Long app, String name);
	
	Map<String,String> getSql(UserGroup userGroup);
	
	boolean refresh(Long id);
}
